| GET | /RestApi/translations/projects/statuses |
|---|
export enum ProjectStatus
{
NotStarted = 'NotStarted',
Started = 'Started',
Completed = 'Completed',
}
export class GetProjectsStatus implements IProjectsFilter
{
public SearchText: string;
public Service: string[];
public ProjectStatus?: ProjectStatus;
public ActualSourceLanguage: string;
public WithoutSourceLanguage: boolean;
public constructor(init?: Partial<GetProjectsStatus>) { (Object as any).assign(this, init); }
}
TypeScript GetProjectsStatus DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects/statuses HTTP/1.1 Host: www.imglobal.com Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.